<?php
add_action( 'admin_footer', 'buzzblogpro_easy_remove_item_menu');
function buzzblogpro_easy_remove_item_menu() {
		if ( is_admin() ) {
			global $pagenow;
		    if ( !is_super_admin())
		      return;
		    if ( 'nav-menus.php' != $pagenow ) {
		        return;
		    }

		wp_enqueue_script('removemenu.js', get_theme_file_uri( '/includes/main-menu/admin/js/removemenumin.js'), array( 'jquery' ), '1.0', true);

		}
	}

function buzzblog_admin_js($hook) {
	if ($hook == 'post.php' || $hook == 'post-new.php') {
		wp_register_script('hs-admin', trailingslashit(get_template_directory_uri()) . 'js/jquery.custom.admin.js', 'jquery');
		wp_enqueue_script('hs-admin');
		
	}
}
add_action('admin_enqueue_scripts','buzzblog_admin_js',10,1);
/* Load admin scripts and styles */
add_action( 'admin_enqueue_scripts', 'buzzblogpro_load_admin_scripts' );


/**
 * Load scripts and styles in admin
 */

function buzzblogpro_load_admin_scripts() {
	buzzblogpro_load_admin_css();
}


/**
 * Load admin css files
 */

function buzzblogpro_load_admin_css() {
	
	global $pagenow, $typenow;

	if ( $typenow == 'post' || $typenow == 'page' ) {
	wp_enqueue_style('buzzblogpro-post-formats-ui', trailingslashit(get_template_directory_uri()).'includes/admin/css/admin.css', array(), '1.5', 'screen');
	}
}


function buzzblogpro_addPanelCSS() {
if ( !is_customize_preview() ) { 
wp_register_style( 'redux-custom-css', trailingslashit(get_template_directory_uri()) . 'admin-panel/redux-style.css', array( 'redux-admin-css' ), '1.0', 'all' );	
wp_enqueue_style('redux-custom-css');
}
}
add_action( 'redux/page/buzzblogpro_options/enqueue', 'buzzblogpro_addPanelCSS' );


		/**
		 * Admin And editor styling
		 */
		if (is_admin()) {
			
			$styles = get_template_directory_uri() . '/includes/admin/css/editor-style.css';
						
			add_editor_style($styles);
		}
		
function buzzblogpro_mce_css( $mce_css ) {

global $buzzblogpro_options;

    // Check protocol
    $protocol = is_ssl() ? 'https' : 'http';
 
    if(isset($buzzblogpro_options['hs_bodytext']['font-family'])) {
        
        $body_font_string = $buzzblogpro_options['hs_bodytext']['font-family'];
		$body_font_style = $buzzblogpro_options['hs_bodytext']['font-weight'];
        $mce_css .= ', ' . $protocol . '://fonts.googleapis.com/css?family=' . $body_font_string.':'.$body_font_style;
    }
	if(isset($buzzblogpro_options['h1_heading']['font-family'])) {
        
        $h1_heading_font_string = $buzzblogpro_options['h1_heading']['font-family'];
		$h1_heading_font_style = $buzzblogpro_options['h1_heading']['font-weight'];
        $mce_css .= ', ' . $protocol . '://fonts.googleapis.com/css?family=' . $h1_heading_font_string.':'.$h1_heading_font_style;
    }

 
    return $mce_css;
}
add_filter( 'mce_css', 'buzzblogpro_mce_css' );


add_filter('tiny_mce_before_init','buzzblogpro_theme_editor_dynamic_styles');
function buzzblogpro_theme_editor_dynamic_styles( $mceInit ) {
global $buzzblogpro_options, $pagenow, $typenow;

$hs_container_size = $buzzblogpro_options['hs_container_size'] ? $buzzblogpro_options['hs_container_size'] : '1200';

if ( $typenow == 'post' ) {
$iswrap = get_post_meta( get_the_ID(), '_buzzblogpro_content_width', true ) == 'narrow' ? 454 : 0;
$sidebarpost = get_post_meta( get_the_ID(), '_buzzblogpro_sidebarposition', true ) == 'none' ? $hs_container_size - $iswrap  : '782';
}elseif ( $typenow == 'page' ) {
$iswrap = get_post_meta( get_the_ID(), '_buzzblogpro_content_width_page', true ) == 'narrow' ? 454 : 0;
$sidebarpost = get_post_meta( get_the_ID(), '_buzzblogpro_pagesidebarposition', true ) == 'none' ? $hs_container_size - $iswrap : '782';
}else{
$sidebarpost = '782';
}
$body_font_string = $buzzblogpro_options['hs_bodytext']['font-family'] ? $buzzblogpro_options['hs_bodytext']['font-family'] : 'inherit';
$body_font_size = $buzzblogpro_options['hs_bodytext']['font-size'] ? $buzzblogpro_options['hs_bodytext']['font-size'] : 'inherit';
$body_font_line = $buzzblogpro_options['hs_bodytext']['line-height'] ? $buzzblogpro_options['hs_bodytext']['line-height'] : 'inherit';
$body_font_color = $buzzblogpro_options['hs_bodytext']['color'] ? $buzzblogpro_options['hs_bodytext']['color'] : 'inherit';
$body_font_text_align = isset($buzzblogpro_options['hs_bodytext']['text-align']) ? $buzzblogpro_options['hs_bodytext']['text-align'] : 'inherit';
    $styles = 'body.mce-content-body { color:'.$body_font_color.';margin: 34px;max-width: '.$sidebarpost.'px;background: #fff;text-align:'.$body_font_text_align.';font-size:'.$body_font_size.';line-height:'.$body_font_line.'; font-family:' . $body_font_string . '}';
	 if(isset($buzzblogpro_options['links_color']['regular'])) {
	$styles .='body#tinymce.wp-editor a {color: ' . $buzzblogpro_options['links_color']['regular'] . ';}';
	$styles .='body#tinymce.wp-editor a:hover {color: ' . $buzzblogpro_options['links_color']['hover'] . ';}';
	}
$h1_heading_font_string = $buzzblogpro_options['h1_heading']['font-family'] ? $buzzblogpro_options['h1_heading']['font-family'] : 'inherit';

 $styles .= 'body.mce-content-body h1, body.mce-content-body h2, body.mce-content-body h3, body.mce-content-body h4, body.mce-content-body h5, body.mce-content-body h6 {font-family:' . $h1_heading_font_string . ';}';
 
    if ( isset( $mceInit['content_style'] ) ) {
        $mceInit['content_style'] .= ' ' . $styles . ' ';
    } else {
        $mceInit['content_style'] = $styles . ' ';
    }
	$mceInit['entity_encoding'] = 'raw';
    return $mceInit;
}


/* Enqueue Gutenberg editor styles */
if ( !function_exists( 'buzzblogpro_gutenberg_styles' ) ) {
	function buzzblogpro_gutenberg_styles() {

		wp_enqueue_style( 'buzzblogpro-gutenberg-fonts', buzzblogpro_mce_css_gutenberg(), array(), null );
		wp_enqueue_style( 'buzzblogpro-gutenberg', get_template_directory_uri() . '/gutenberg-editor-block.css', false, '4.8', 'all' );
	    wp_add_inline_style( 'buzzblogpro-gutenberg', buzzblogpro_rewrite_gutenberg_editor_css() );

	} 
}
add_action( 'enqueue_block_editor_assets', 'buzzblogpro_gutenberg_styles' );
function buzzblogpro_mce_css_gutenberg() {

global $buzzblogpro_options;

    // Check protocol
    $protocol = is_ssl() ? 'https' : 'http';
    $mce_css = '';
    if(isset($buzzblogpro_options['hs_bodytext']['font-family'])) {
        $post_title_font = $buzzblogpro_options['single_post_heading']['font-family'];
		$post_title_font_style = $buzzblogpro_options['single_post_heading']['font-weight'].',400italic,500italic';
        $body_font_string = $buzzblogpro_options['hs_bodytext']['font-family'];
		$body_font_style = $buzzblogpro_options['hs_bodytext']['font-weight'].',400italic,500italic';
        $mce_css .= $protocol . '://fonts.googleapis.com/css?family=' . $body_font_string.':'.$body_font_style.'|'. $post_title_font.':'.$post_title_font_style;
    }

 
    return $mce_css;
}
/* Output Gutenberg Editor Inline Styles */
if ( !function_exists( 'buzzblogpro_rewrite_gutenberg_editor_css' ) ) {
	function buzzblogpro_rewrite_gutenberg_editor_css() {
global $buzzblogpro_options;
		
        $hs_container_size = $buzzblogpro_options['hs_container_size'] ? $buzzblogpro_options['hs_container_size'] : '1200';
		$iswrap = get_post_meta( get_the_ID(), '_buzzblogpro_content_width', true ) == 'narrow' ? '682' : $hs_container_size;
        $sidebarpost = get_post_meta( get_the_ID(), '_buzzblogpro_sidebarposition', true ) == 'none' ? $iswrap  : '782';
        $sidebarpost_wide = $sidebarpost + 180;

		$font_post_heading = 'font-family: "' . $buzzblogpro_options['single_post_heading']['font-family']. '"';
		$font_post_heading_style = 'font-weight: ' . $buzzblogpro_options['single_post_heading']['font-weight'];
		$font_post_heading_size = 'font-size: ' . $buzzblogpro_options['single_post_heading']['font-size'];
		
		$font_heading1 = 'font-family: "' . $buzzblogpro_options['h1_heading']['font-family']. '"';
		$font_heading1_style = 'font-weight: ' . $buzzblogpro_options['h1_heading']['font-weight'];
		$font_heading1_size = 'font-size: ' . $buzzblogpro_options['h1_heading']['font-size'];
		$font_heading1_line_height = 'line-height: ' . $buzzblogpro_options['h1_heading']['line-height'];
		
		$font_heading2 = 'font-family: "' . $buzzblogpro_options['h2_heading']['font-family']. '"';
		$font_heading2_style = 'font-weight: ' . $buzzblogpro_options['h2_heading']['font-weight'];
		$font_heading2_size = 'font-size: ' . $buzzblogpro_options['h2_heading']['font-size'];
		$font_heading2_line_height = 'line-height: ' . $buzzblogpro_options['h2_heading']['line-height'];
		
		$font_heading3 = 'font-family: "' . $buzzblogpro_options['h3_heading']['font-family']. '"';
		$font_heading3_style = 'font-weight: ' . $buzzblogpro_options['h3_heading']['font-weight'];
		$font_heading3_size = 'font-size: ' . $buzzblogpro_options['h3_heading']['font-size'];
		$font_heading3_line_height = 'line-height: ' . $buzzblogpro_options['h3_heading']['line-height'];
		
		$font_heading4 = 'font-family: "' . $buzzblogpro_options['h4_heading']['font-family']. '"';
		$font_heading4_style = 'font-weight: ' . $buzzblogpro_options['h4_heading']['font-weight'];
		$font_heading4_size = 'font-size: ' . $buzzblogpro_options['h4_heading']['font-size'];
		$font_heading4_line_height = 'line-height: ' . $buzzblogpro_options['h4_heading']['line-height'];
		
		$font_heading5 = 'font-family: "' . $buzzblogpro_options['h5_heading']['font-family']. '"';
		$font_heading5_style = 'font-weight: ' . $buzzblogpro_options['h5_heading']['font-weight'];
		$font_heading6_size = 'font-size: ' . $buzzblogpro_options['h6_heading']['font-size'];
		$font_heading6_line_height = 'line-height: ' . $buzzblogpro_options['h6_heading']['line-height'];
		
		$font_heading6 = 'font-family: "' . $buzzblogpro_options['h6_heading']['font-family']. '"';
		$font_heading6_style = 'font-weight: ' . $buzzblogpro_options['h6_heading']['font-weight'];
		$font_heading6_size = 'font-size: ' . $buzzblogpro_options['h6_heading']['font-size'];
		$font_heading6_line_height = 'line-height: ' . $buzzblogpro_options['h6_heading']['line-height'];
		
		$font_primary = 'font-family: "' . $buzzblogpro_options['hs_bodytext']['font-family']. '"';
		$font_primary_style = 'font-weight: ' . $buzzblogpro_options['hs_bodytext']['font-weight'];
		$font_primary_size = 'font-size: ' . $buzzblogpro_options['hs_bodytext']['font-size'];
		$font_primary_line_height = 'line-height: ' . $buzzblogpro_options['hs_bodytext']['line-height'];

		$font_blockquote = 'font-family: "' . $buzzblogpro_options['blockquote_font']['font-family']. '"';
		$font_blockquote_style = 'font-weight: ' . $buzzblogpro_options['blockquote_font']['font-weight'];
		$font_blockquote_size = 'font-size: ' . $buzzblogpro_options['blockquote_font']['font-size'];
		$font_blockquote_line_height = 'line-height: ' . $buzzblogpro_options['blockquote_font']['line-height'];

		$gutenberg_editor_css = '

			.block-editor-page .editor-styles-wrapper .editor-post-title__input {
				' . $font_post_heading .';'. $font_post_heading_style .';'. $font_post_heading_size .';
			}
			.block-editor-page .editor-styles-wrapper,
			.block-editor-page .editor-styles-wrapper p,
			.block-editor-page .editor-styles-wrapper textarea,
			.block-editor-page .editor-styles-wrapper select,
			.block-editor-page .editor-styles-wrapper input[type="text"],
			.block-editor-page .editor-styles-wrapper .wp-block-cover .wp-block-cover-text,
			.block-editor-page .editor-styles-wrapper .wp-block-archives select,
			.block-editor-page .editor-styles-wrapper .wp-block-categories select,
			.block-editor-page .editor-styles-wrapper .wp-block-quote,
			.block-editor-page .editor-styles-wrapper .wp-block-quote .wp-block-quote__citation {
				' . $font_primary .';'. $font_primary_style .';
			}
			.block-editor-page .editor-styles-wrapper h1 {
			' . $font_heading1 .';'. $font_heading1_style .';'.$font_heading1_size .';'.$font_heading1_line_height .';
			}
			.block-editor-page .editor-styles-wrapper h2 {
			' . $font_heading2 .';'. $font_heading2_style .';'.$font_heading2_size .';'.$font_heading2_line_height .';
			}
			.block-editor-page .editor-styles-wrapper h3 {
			' . $font_heading3 .';'. $font_heading3_style .';'.$font_heading3_size .';'.$font_heading3_line_height .';
			}
			.block-editor-page .editor-styles-wrapper h4 {
			' . $font_heading4 .';'. $font_heading4_style .';'.$font_heading4_size .';'.$font_heading4_line_height .';
			}
			.block-editor-page .editor-styles-wrapper h5 {
			' . $font_heading5 .';'. $font_heading5_style .';'.$font_heading5_size .';'.$font_heading5_line_height .';
			}
			.block-editor-page .editor-styles-wrapper h6 {
			' . $font_heading6 .';'. $font_heading6_style .';'.$font_heading6_size .';'.$font_heading6_line_height .';
			}
			.block-editor-page .editor-styles-wrapper blockquote p {
			' . $font_blockquote .';'. $font_blockquote_style .';'.$font_blockquote_size .';'.$font_blockquote_line_height .';
			}
			.block-editor-page .editor-styles-wrapper p,.block-editor-page .editor-styles-wrapper .lzb-gutenberg-rich-text .block-editor-rich-text__editable,.block-editor-page .lazyblock {
			'.$font_primary_size .';'.$font_primary_line_height .';
			}
.block-editor-page .editor-styles-wrapper .lzb-gutenberg-rich-text .block-editor-rich-text__editable,
			.block-editor-page .editor-styles-wrapper .wp-block-media-text,
			.block-editor-page .editor-styles-wrapper .wp-block-verse pre,
			.block-editor-page .editor-styles-wrapper .wp-block-quote,
			.block-editor-page .editor-styles-wrapper .wp-block-quote .wp-block-quote__citation,
			.block-editor-page .editor-styles-wrapper .wp-block-pullquote,
			.block-editor-page .editor-styles-wrapper .wp-block-pullquote .wp-block-pullquote__citation {
				' . $font_primary .';'. $font_primary_style .';
			}
			
			.wp-block {
  max-width: '.$sidebarpost.'px;
}
.wp-block[data-align="wide"] {
max-width: '.$sidebarpost_wide.'px;
}

		';

		return $gutenberg_editor_css;

	}
}
?>