<?php
if( !class_exists( 'CMB2_Radio_Image' ) ) {
    /**
     * Class CMB2_Radio_Image
     */
    class CMB2_Radio_Image {
        public function __construct() {
            add_action( 'cmb2_render_radio_image', array( $this, 'callback' ), 10, 5 );
            add_filter( 'cmb2_list_input_attributes', array( $this, 'attributes' ), 10, 4 );
        }
        public function callback($field, $escaped_value, $object_id, $object_type, $field_type_object) {
            echo $field_type_object->radio();
        }
        public function attributes($args, $defaults, $field, $cmb) {
            if ($field->args['type'] == 'radio_image' && isset($field->args['images'])) {
                foreach ($field->args['images'] as $field_id => $image) {
                    if ($field_id == $args['value']) {
                        $image = trailingslashit($field->args['images_path']) . $image;
                        $args['label'] = '<img src="' . $image . '" alt="' . $args['value'] . '" title="' . $args['label'] . '" /><span>' . $args['label'] . '</span>';
                    }
                }
            }
            return $args;
        }
    }
    $cmb2_radio_image = new CMB2_Radio_Image();
}
if( !class_exists( 'CMB2_Tabs' ) ) {

    class buzzblogpro_CMB2_Tabs {
 public function __construct() {
            add_action( 'cmb2_before_form', array( $this, 'before_form' ), 10, 4 );
            add_action( 'cmb2_after_form', array( $this, 'after_form' ), 10, 4 );
        }
        public function before_form( $cmb_id, $object_id, $object_type, $cmb ) {
            if( $cmb->prop( 'tabs' ) && is_array( $cmb->prop( 'tabs' ) ) ) : ?>
                <div class="cmb-tabs-wrap cmb-tabs-<?php echo ( ( $cmb->prop( 'vertical_tabs' ) ) ? 'vertical' : 'horizontal' ) ?>">
                    <div class="cmb-tabs">

                        <?php foreach( $cmb->prop( 'tabs' ) as $tab ) :
                            $fields_selector = array();

                            foreach( $tab['fields'] as $tab_field )  :
							 
                                $fields_selector[] = '.' . 'cmb2-id-' . str_replace( '_', '-', sanitize_html_class( $tab_field ) ) . ':not(.cmb2-tab-ignore)';
                            endforeach;

                            $fields_selector = apply_filters( 'cmb2_tabs_tab_fields_selector', $fields_selector, $tab, $cmb_id, $object_id, $object_type, $cmb );
                            $fields_selector = apply_filters( 'cmb2_tabs_tab_' . $tab['id'] . '_fields_selector', $fields_selector, $tab, $cmb_id, $object_id, $object_type, $cmb );
                            ?>

                            <div id="<?php echo $cmb_id . '-tab-' . $tab['id']; ?>" class="cmb-tab" data-fields="<?php echo implode( ', ', $fields_selector ); ?>">

                                <?php if( isset( $tab['icon'] ) && ! empty( $tab['icon'] ) ) :
                                    $tab['icon'] = strpos($tab['icon'], 'dashicons') !== false ? 'dashicons ' . $tab['icon'] : $tab['icon']?>
                                    <span class="cmb-tab-icon"><i class="<?php echo $tab['icon']; ?>"></i></span>
                                <?php endif; ?>

                                <?php if( isset( $tab['title'] ) && ! empty( $tab['title'] ) ) : ?>
                                    <span class="cmb-tab-title"><?php echo $tab['title']; ?></span>
                                <?php endif; ?>
                            </div>
                        <?php endforeach; ?>

                    </div>
            <?php endif;
        }

        public function after_form( $cmb_id, $object_id, $object_type, $cmb ) {
            if( $cmb->prop( 'tabs' ) && is_array( $cmb->prop( 'tabs' ) ) ) : ?></div><?php endif;
        }


    }

    $cmb2_tabs = new buzzblogpro_CMB2_Tabs();
}


if ( ! class_exists( 'buzzblogpro_CMB2_Switch_Button' ) ) {
	/**
	 * Class CMB2_Radio_Image
	 */
	class buzzblogpro_CMB2_Switch_Button {
		public function __construct() {
			add_action( 'cmb2_render_switch', array( $this, 'callback' ), 10, 5 );
		}
		public function callback( $field, $escaped_value, $object_id, $object_type, $field_type_object ) {
			$field_name   = $field->_name();
			$active_value = ! empty( $field->args( 'active_value' ) ) ? $field->args( 'active_value' ) : 'on';

			$args = array(
				'type'  => 'checkbox',
				'id'    => $field_name,
				'name'  => $field_name,
				'desc'  => '',
				'value' => $active_value,
			);
			if ( $escaped_value == $active_value ) {
				$args['checked'] = 'checked';
			}

			echo '<label class="cmb2-switch">';
			echo $field_type_object->input( $args );
			echo '<span class="cmb2-slider round"></span>';
			echo '</label>';
			$field_type_object->_desc( true, true );
		}

	}
	$cmb2_switch_button = new buzzblogpro_CMB2_Switch_Button();
}
add_action( 'cmb2_admin_init', 'buzzblogpro_metaboxes' );
/**
 * Define the metabox and field configurations.
 */
function buzzblogpro_metaboxes() {

	// Start with an underscore to hide fields from custom fields list
	$prefix = '_buzzblogpro_';
	/**
	 * Initiate category options
	 */

	$categoryoptions = new_cmb2_box( array(
		'id'            => $prefix . 'category_options',
		'title'         => esc_html__( 'Post Layouts', 'buzzblogpro' ),
		'object_types'     => array( 'term' ), 
		'taxonomies'       => array( 'category' ),
		'context'       => 'normal',
		'priority'      => 'high',
		'show_names'    => true,
	) ); 

$categoryoptions->add_field( array(
	'name'    => esc_html__( 'Category Image', 'buzzblogpro' ), 
	'desc'    => esc_html__( 'Upload an image', 'buzzblogpro' ), 
	'id'      => $prefix . 'category-image-id',
	'type'    => 'file',
	'options' => array(
		'url' => false,
	),
	'text'    => array(
		'add_upload_file_text' => esc_html__( 'Add the category image', 'buzzblogpro' ),
	),
	'preview_size' => 'thumb', 
) );
	$categoryoptions->add_field( array(
		'name'             => esc_html__( 'Layout options', 'buzzblogpro' ),
		'desc'             => esc_html__( 'Select layout option', 'buzzblogpro' ),
		'id'               => $prefix . 'category_layout_format',
		'type'             => 'radio_image',
		'default'          => 'inherit',
		'options'          => array(
		'inherit'  => esc_html__('Inherit', 'buzzblogpro'),
		'left'  => esc_html__('left sidebar', 'buzzblogpro'),
		'right'  => esc_html__('right sidebar', 'buzzblogpro'),
		'full'  => esc_html__('no sidebar', 'buzzblogpro'),
		'masonry2'  => esc_html__('masonry 2 columns', 'buzzblogpro'),
		'masonry3'  => esc_html__('masonry 3 columns', 'buzzblogpro'),
		
		    'masonry4'  => esc_html__('masonry 4 columns', 'buzzblogpro'),
			'masonry2sideleft'  => esc_html__('masonry 2 columns sidebar left', 'buzzblogpro'),
			'masonry2sideright'  => esc_html__('masonry 2 columns sidebar right', 'buzzblogpro'),
			'listpostsideright'  => esc_html__('list view sidebar right', 'buzzblogpro'),
			'listpostsideleft'  => esc_html__('list view sidebar left', 'buzzblogpro'),
			'listpostfullwidth'  => esc_html__('list view no sidebar', 'buzzblogpro'),
			'zigzagfullwidth'  => esc_html__('zigzag view no sidebar', 'buzzblogpro'),
			'zigzagsideright'  => esc_html__('zigzag view right sidebar', 'buzzblogpro'),
			'zigzagsideleft'  => esc_html__('zigzag view left sidebar', 'buzzblogpro'),
			'metro'  => esc_html__('Metro', 'buzzblogpro'),
		),
		'images_path'      => get_template_directory_uri(),
		'images'           => array(
		'inherit'    => 'includes/admin/posts-metabox-image/inherit.png',
		    'left'    => 'includes/images/2cl.png',
			'right'    => 'includes/images/2cr.png',
			'full'  => 'includes/images/1col.png',
			'masonry2'  => 'includes/images/masonry2.png',
			'masonry3'  => 'includes/images/masonry3.png',
			'masonry4'  => 'includes/images/masonry4.png',
			'masonry2sideleft'  => 'includes/images/masonry2-leftsidebar.png',
			'masonry2sideright'  => 'includes/images/masonry2-rightsidebar.png',
			'listpostsideright'  => 'includes/images/listpost-rightsidebar.png',
			'listpostsideleft'  => 'includes/images/listpost-leftsidebar.png',
			'listpostfullwidth'  => 'includes/images/listpost-fullwidth.png',
			'zigzagfullwidth'  => 'includes/images/zigzag-fullwidth.png',
			'zigzagsideright'  => 'includes/images/zigzag-right-sidebar.png',
			'zigzagsideleft'  => 'includes/images/zigzag-left-sidebar.png',
			'metro'  => 'includes/images/metro.png',
		)
	) );
$categoryoptions->add_field( array(
		'name'       => esc_html__( 'Available sidebars', 'buzzblogpro' ),
		'desc'       => wp_kses( sprintf( __( 'Choose the sidebar to display. If you wish to generate additional sidebars, you can do it, in the <a href="%s">Apperance -> Theme Options</a> panel.', 'buzzblogpro' ), admin_url('admin.php?page=buzzblogpro_options_options&tab=18') ), wp_kses_allowed_html( 'post' ) ),
		'id'         => $prefix . 'category_availablesidebars',
		'type'       => 'select',
		'options_cb'     => 'buzzblogpro_get_sidebars_list',
		'default'          => 'hs_main_sidebar',
	) );
$categoryoptions->add_field( array(
	'name'    => 'Category color',
	'id'      => $prefix . 'category_color',
	'type'    => 'colorpicker',
	'default' => '',
) );
$categoryoptions->add_field( array(
	'name'    => 'Category background color',
	'id'      => $prefix . 'category_bg_color',
	'type'    => 'colorpicker',
	'default' => '',
) );
	/**
	 * Initiate sidebar options
	 */
	 
	
	
	$postoptions = new_cmb2_box( array(
		'id'            => 'sidebar_options',
		'title'         => esc_html__( 'Post options', 'buzzblogpro' ),
		'object_types'  => array( 'post' ),
		'context'       => 'normal',
		'priority'      => 'high',
		'show_names'    => true,
		'vertical_tabs' => false,
		        'tabs' => array(
            array(
                'id'    => 'layout-settings',
                'icon' => '',
                'title' => esc_html__( 'Layout settings', 'buzzblogpro' ),
                'fields' => array(
                    $prefix . 'sidebarposition',
                    $prefix . 'availablesidebars',
					$prefix . 'standard_layout_format',
					$prefix . 'post_enable_parallax',
					$prefix . 'post_hide_featured_image',
					$prefix . 'post_enable_overlay_mode',
					$prefix . 'content_width',
					$prefix . 'post_share_buttons',
                ),
            ),
            array(
                'id'    => 'post-teaser',
                'icon' => '',
                'title' => esc_html__( 'Post teaser', 'buzzblogpro' ),
                'fields' => array(
                     'buzzblogpro_post_sub',
					 $prefix . 'post_intro_text',
					 $prefix . 'posttopsidebars',
					 
                ),
            ),
			array(
                'id'    => 'buzzblogpro-affiliate-meta',
                'icon' => '',
                'title' => esc_html__('Affiliate Banner', 'buzzblogpro'),
                'fields' => array(
                     $prefix . 'affiliate_banner',
	$prefix . 'shopstyle_affiliate_banner',
	$prefix . 'single_affiliate_banner',
	$prefix . 'shop_the_post_product_search_ajax',
                ),
            ),
        )
	) );
    
	$postoptions->add_field( array(
		'name'             => esc_html__( 'Post layout', 'buzzblogpro' ),
		'desc'             => esc_html__( 'Select layout option', 'buzzblogpro' ),
		'id'               => $prefix . 'standard_layout_format',
		'type'             => 'radio_image',
		'default'          => 'inherit',
		'options'          => array(
		    'inherit'  => esc_html__('Inherit', 'buzzblogpro'),
			'layout1'  => esc_html__('Layout 1', 'buzzblogpro'),
			'layout2'  => esc_html__('Layout 2', 'buzzblogpro'),
			'layout3'  => esc_html__('Layout 3', 'buzzblogpro'),
			'layout4'  => esc_html__('Layout 4', 'buzzblogpro'),
			'layout5'  => esc_html__('Layout 5', 'buzzblogpro'),
			'layout6'  => esc_html__('Layout 6', 'buzzblogpro'),
			'layout7'  => esc_html__('Layout 7', 'buzzblogpro'),
			'layout8'  => esc_html__('Layout 8', 'buzzblogpro'),
			'layout9'  => esc_html__('Layout 9', 'buzzblogpro'),
		),
		'images_path'      => get_template_directory_uri(),
		'images'           => array(
		    'inherit'    => 'includes/admin/posts-metabox-image/inherit.png',
			'layout1'    => 'includes/admin/posts-metabox-image/layout1.png',
			'layout2'  => 'includes/admin/posts-metabox-image/layout2.png',
			'layout3'  => 'includes/admin/posts-metabox-image/layout3.png',
			'layout4'  => 'includes/admin/posts-metabox-image/layout4.png',
			'layout5'  => 'includes/admin/posts-metabox-image/layout5.png',
			'layout6'  => 'includes/admin/posts-metabox-image/layout6.png',
			'layout7'  => 'includes/admin/posts-metabox-image/layout7.png',
			'layout8'  => 'includes/admin/posts-metabox-image/layout8.png',
			'layout9'  => 'includes/admin/posts-metabox-image/layout9.png',
		)
	) );
$postoptions->add_field( array(
		'name'             => esc_html__( 'Parallax', 'buzzblogpro' ),
		'desc'             => esc_html__( 'Enable Parallax For Layout 5 or Layout 9', 'buzzblogpro' ),
		'id'               => $prefix . 'post_enable_parallax',
		'default' => 'on',
	    'type' => 'switch',
	) );
$postoptions->add_field( array(
		'name'             => esc_html__( 'Featured image', 'buzzblogpro' ),
		'desc'             => esc_html__( 'Hide featured image on single post page', 'buzzblogpro' ),
		'id'               => $prefix . 'post_hide_featured_image',
		'default' => '0',
	    'type' => 'switch',
	) );
$postoptions->add_field( array(
		'name'             => esc_html__( 'Overlay mode', 'buzzblogpro' ),
		'desc'             => esc_html__( 'Enable overlay mode for the post visible on the blog page.', 'buzzblogpro' ),
		'id'               => $prefix . 'post_enable_overlay_mode',
		'default' => '0',
	    'type' => 'switch',
	) );
$postoptions->add_field( array(
		'name'             => esc_html__( 'Sidebar position', 'buzzblogpro' ),
		'desc'             => esc_html__( 'Select sidebar position', 'buzzblogpro' ),
		'id'               => $prefix . 'sidebarposition',
		'type'             => 'radio_image',
		'default'          => 'inherit',
		'options'          => array(
		    'inherit'    => esc_html__('Inherit', 'buzzblogpro'),
			'none'    => esc_html__('Full Width', 'buzzblogpro'),
			'left'  => esc_html__('Left Sidebar', 'buzzblogpro'),
			'right' => esc_html__('Right Sidebar', 'buzzblogpro'),
		),
		'images_path'      => get_template_directory_uri(),
		'images'           => array(
		    'inherit'    => 'includes/admin/posts-metabox-image/inherit.png',
			'none'    => 'includes/admin/posts-metabox-image/post-side-none.png',
			'left'  => 'includes/admin/posts-metabox-image/post-side-left.png',
			'right' => 'includes/admin/posts-metabox-image/post-side-right.png',
		)
	) );
	
	// Regular text field
	$postoptions->add_field( array(
		'name'       => esc_html__( 'Available sidebars', 'buzzblogpro' ),
		'desc'       => wp_kses( sprintf( __( 'Choose the sidebar to display. If you wish to generate additional sidebars, you can do it, in the <a href="%s">Apperance -> Theme Options</a> panel.', 'buzzblogpro' ), admin_url('admin.php?page=buzzblogpro_options_options&tab=18') ), wp_kses_allowed_html( 'post' ) ),
		'id'         => $prefix . 'availablesidebars',
		'type'       => 'select',
		'options_cb'     => 'buzzblogpro_get_sidebars_list',
		'default'          => 'hs_main_sidebar',
	) );
$postoptions->add_field( array(
		'name'             => esc_html__( 'Content width', 'buzzblogpro' ),
		'desc'             => esc_html__( 'Select content width', 'buzzblogpro' ),
		'id'               => $prefix . 'content_width',
		'type'             => 'radio_image',
		'default'          => 'inherit',
		'options'          => array(
		'inherit'  => esc_html__('Inherit', 'buzzblogpro'),
		    'normal'    => esc_html__('Normal', 'buzzblogpro'),
			'narrow' => esc_html__('Narrow', 'buzzblogpro'),
		),
		'images_path'      => get_template_directory_uri(),
		'images'           => array(
		    'inherit'    => 'includes/admin/posts-metabox-image/inherit.png',
		    'normal'    => 'includes/admin/posts-metabox-image/normal.png',
			'narrow' => 'includes/admin/posts-metabox-image/post-side-narrow.png',
		)
	) );
	$postoptions->add_field( array(
		'name'             => esc_html__( 'Share buttons', 'buzzblogpro' ),
		'desc'             => esc_html__( 'Place the buttons at the bottom of the page.', 'buzzblogpro' ),
		'id'               => $prefix . 'post_share_buttons',
		'default' => '0',
	    'type' => 'switch',
	) );
	$postoptions->add_field( array(
	'name'    => esc_html__('Subtitle','buzzblogpro'),
	'desc'    => esc_html__('Enter post subtitle','buzzblogpro'),
	'default' => '',
	'id'      => 'buzzblogpro_post_sub',
	'type'    => 'textarea_small'
) );
    $postoptions->add_field( array(
	'name'    => esc_html__('Intro text','buzzblogpro'),
	'desc'    => esc_html__('Enter intro text. Html code and shortcodes are allowed.','buzzblogpro'),
	'default' => '',
	'id'      => $prefix . 'post_intro_text',
		'type'    => 'textarea',
) );
$postoptions->add_field( array(
		'name'       => esc_html__( 'Top sidebar', 'buzzblogpro' ),
		'desc'       => wp_kses( sprintf( __( 'Select the sidebar to display above the post. If you wish to generate additional sidebars, you can do it, in the <a href="%s">Apperance -> Theme Options</a> panel.', 'buzzblogpro' ), admin_url('admin.php?page=buzzblogpro_options_options&tab=18') ), wp_kses_allowed_html( 'post' ) ),
		'id'         => $prefix . 'posttopsidebars',
		'type'       => 'select',
		'options_cb'     => 'buzzblogpro_get_sidebars_list',
		'default'          => '',
	) );
/**
* Affiliate Banner 
*/

$postoptions->add_field( array(
	'name'    => esc_html__('RewardStyle affiliate banner ID','buzzblogpro'),
	'desc'    => esc_html__('Enter banner ID','buzzblogpro'),
	'default' => '',
	'id'      => $prefix . 'affiliate_banner',
	'type'    => 'text_medium'
) );
$postoptions->add_field( array(
	'name'    => esc_html__('ShopStyle banner code','buzzblogpro'),
	'desc'    => esc_html__('Enter banner code','buzzblogpro'),
	'default' => '',
	'id'      => $prefix . 'shopstyle_affiliate_banner',
	'options' => array( 'disable_codemirror' => true ),
	'type'    => 'textarea_code'
) );
$postoptions->add_field( array(
	'name'             => esc_html__('Single Post Affiliate Banner','buzzblogpro'),
	'desc'             => esc_html__('Do you want to display the affiliate banner on single post page ?','buzzblogpro'),
	'id'               => $prefix . 'single_affiliate_banner',
	'type'             => 'select',
	'show_option_none' => false,
	'default'          => 'yes',
	'options'          => array(
		'yes'   => esc_html__('Yes', 'buzzblogpro'),
		'no'     => esc_html__('No', 'buzzblogpro'),
	),
) );
$postoptions->add_field( array(
		'name'      	=> esc_html__( 'Select product', 'buzzblogpro' ),
		'id'        	=> $prefix . 'shop_the_post_product_search_ajax',
		'type'      	=> 'post_search_ajax',
		'desc'			=> esc_html__( 'Select products to display inside the Shop The Look section. Requires WooCommerce.', 'buzzblogpro' ),
		'limit'      	=> 10,
		'sortable' 	 	=> true,
		'query_args'	=> array(
			'post_type'			=> array( 'product' ),
			'post_status'		=> array( 'publish' ),
			'posts_per_page'	=> -1
		)
	) );
/**
* Initiate links settings
*/

$linkformatsettings = new_cmb2_box( array(
		'id'            => $prefix . 'link-post-formats-settings',
		'title'         => esc_html__( 'Link format settings', 'buzzblogpro' ),
		'object_types'  => array( 'post' ),
		'context' => 'side',
	    'priority' => 'low',
		'show_names'    => true,
	) );
$linkformatsettings->add_field( array(
	'name' => esc_html__( 'The url', 'buzzblogpro' ),
	'desc' => esc_html__('Insert the URL you wish to link to.','buzzblogpro'),
	'id'   => 'buzzblogpro_post_link',
	'type' => 'text_url',
	'protocols' => array( 'http', 'https', 'mailto', 'news', 'irc', 'gopher', 'nntp', 'feed', 'telnet' ),
) );
/**
* Initiate quote settings
*/
$quoteformatsettings = new_cmb2_box( array(
		'id'            => $prefix . 'quote-post-formats-settings',
		'title'         => esc_html__( 'Quote format settings', 'buzzblogpro' ),
		'object_types'  => array( 'post' ),
		'context' => 'side',
	    'priority' => 'low',
		'show_names'    => true,
	) );
$quoteformatsettings->add_field( array(
	'name'    => esc_html__('Quote','buzzblogpro'),
	'desc'    => esc_html__('Enter the quote','buzzblogpro'),
	'default' => '',
	'id'      => $prefix . 'post_quote',
	'type'    => 'textarea_small'
) );
$quoteformatsettings->add_field( array(
	'name' => esc_html__( 'Quote author', 'buzzblogpro' ),
	'desc' => esc_html__('Enter the author of the quote.','buzzblogpro'),
	'id'   => $prefix . 'post_quote_author',
	'type' => 'text_medium'
) );
/**
* Initiate audio options
*/
$audioformatsettings = new_cmb2_box( array(
		'id'            => $prefix . 'audio-post-formats-settings',
		'title'         => esc_html__( 'Audio format settings', 'buzzblogpro' ),
		'object_types'  => array( 'post' ),
		'context' => 'side',
	    'priority' => 'low',
		'show_names'    => true,
	) );
$audioformatsettings->add_field( array(
	'name'    => esc_html__('Title','buzzblogpro'),
	'desc'    => esc_html__('Input the audio title (for playlist).','buzzblogpro'),
	'default' => '',
	'id'      => $prefix . 'audio_title',
	'type'    => 'text_medium'
) );
$audioformatsettings->add_field( array(
	'name'    => esc_html__('Artist','buzzblogpro'),
	'desc'    => esc_html__('Input the audio artist (for playlist).','buzzblogpro'),
	'default' => '',
	'id'      => $prefix . 'audio_artist',
	'type'    => 'text_medium'
) );
$audioformatsettings->add_field( array(
	'name' => esc_html__( 'Audio URL', 'buzzblogpro' ),
	'desc' => esc_html__('Input the audio URL.','buzzblogpro'),
	'id'   => $prefix . 'audio_url',
	'type' => 'text_url',
	'protocols' => array( 'http', 'https' )
) );
$audioformatsettings->add_field( array(
	'name'    => esc_html__('Embedded Code','buzzblogpro'),
	'desc'    => esc_html__('You can include embedded code from soundcloud.com here. Attention! This code overwrite your audio URL.','buzzblogpro'),
	'default' => '',
	'id'      => $prefix . 'audio_embed',
	'options' => array( 'disable_codemirror' => true ),
	'type'    => 'textarea_code'
) );
/**
* Initiate video options
*/
$videoformatsettings = new_cmb2_box( array(
		'id'            => $prefix . 'video-post-formats-settings',
		'title'         => esc_html__( 'Video format settings', 'buzzblogpro' ),
		'object_types'  => array( 'post' ),
		'context' => 'side',
	    'priority' => 'low',
		'show_names'    => true,
	) );
$videoformatsettings->add_field( array(
	'name' => esc_html__( 'Video URL', 'buzzblogpro' ),
	'desc' => esc_html__('YouTube Video - Enter the full url to the video page like this: http://youtube.com/watch?v=3H8bnKdf654. Vimeo Video - Enter the full url to the video page like this: http://vimeo.com/9679622','buzzblogpro'),
	'id'   => $prefix . 'video_embed',
	'type' => 'text_url',
	'protocols' => array( 'http', 'https' )
) );
$videoformatsettings->add_field( array(
	'name'    => esc_html__('Video start','buzzblogpro'),
	'default' => '0',
	'id'      => $prefix . 'video_start',
	'type'    => 'text_medium',
) );
$videoformatsettings->add_field( array(
	'name'    => esc_html__('Video end','buzzblogpro'),
	'default' => '12',
	'id'      => $prefix . 'video_end',
	'type'    => 'text_medium',
) );

/**
* Initiate gallery settings 
*/
$gallerybox = new_cmb2_box( array(
		'id'            => $prefix . 'gallery-post-formats-settings',
		'title'         => esc_html__( 'Gallery settings', 'buzzblogpro' ),
'object_types'  => array( 'post' ),
		'context' => 'side',
	    'priority' => 'low',
		'show_names'    => true,
		'closed' => false,
	) ); 
$gallerybox->add_field( array(
	'name' => esc_html__('Images','buzzblogpro'),
	'desc' => '',
	'id'   => '_format_gallery_images',
	'type' => 'file_list',
	'preview_size' => array( 68, 68 ),
	'query_args' => array( 'type' => 'image' ),
	'text' => array(
		'add_upload_files_text' => esc_html__('Pick Images','buzzblogpro'),
	),
) );
$gallerybox->add_field( array(
	'name'             => esc_html__('Gallery type','buzzblogpro'),
	'desc'             => esc_html__('Choose gallery type.','buzzblogpro'),
	'id'               => 'buzzblogpro_gallery_format',
	'type'             => 'select',
	'show_option_none' => true,
	'default'          => 'grid',
	'options'          => array(
		'slideshow'   => esc_html__('slideshow', 'buzzblogpro'),
		'grid'     => esc_html__('grid', 'buzzblogpro'),
		'lightboxgallery'     => esc_html__('lightbox gallery', 'buzzblogpro'),
	),
) );
$gallerybox->add_field( array(
	'name'    => esc_html__('Row Height','buzzblogpro'),
	'desc'    => esc_html__('The preferred height of rows in pixel.','buzzblogpro'),
	'default' => '200',
	'id'      => 'buzzblogpro_gallery_targetheight',
	'type'    => 'text_small'
) );
$gallerybox->add_field( array(
	'name'    => esc_html__('Row Height on Single Post Page','buzzblogpro'),
	'desc'    => esc_html__('The preferred height of rows in pixel on Single Post Page.','buzzblogpro'),
	'default' => '200',
	'id'      => 'buzzblogpro_gallery_targetheight_single',
	'type'    => 'text_small'
) );
$gallerybox->add_field( array(
	'name'    => esc_html__('Margins','buzzblogpro'),
	'desc'    => esc_html__('Decide the margins between the images. This only works with grid type gallery format.','buzzblogpro'),
	'default' => '10',
	'id'      => 'buzzblogpro_gallery_margins',
	'type'    => 'text_small'
) );
$gallerybox->add_field( array(
	'name'             => esc_html__('Randomize','buzzblogpro'),
	'desc'             => esc_html__('Automatically randomize or not the order of photos. This only works with grid type gallery format.','buzzblogpro'),
	'id'               => 'buzzblogpro_gallery_randomize',
	'type'             => 'select',
	'show_option_none' => false,
	'default'          => 'false',
	'options'          => array(
		'false'   => esc_html__('false', 'buzzblogpro'),
		'true'     => esc_html__('true', 'buzzblogpro'),
	)
) );
$gallerybox->add_field( array(
	'name'             => esc_html__('Captions','buzzblogpro'),
	'desc'             => esc_html__('Decide if you want to show the caption or not, that appears when your mouse is over the image. This only works with grid type gallery format.','buzzblogpro'),
	'id'               => 'buzzblogpro_gallery_captions',
	'type'             => 'select',
	'show_option_none' => false,
	'default'          => 'false',
	'options'          => array(
		'false'   => esc_html__('false', 'buzzblogpro'),
		'true'     => esc_html__('true', 'buzzblogpro'),
	)
) );
$gallerybox->add_field( array(
	'name'             => esc_html__('Featured image','buzzblogpro'),
	'desc'             => esc_html__('Do you want to show gallery on the single post page only ?','buzzblogpro'),
	'id'               => 'buzzblogpro_gallery_featured',
	'type'             => 'select',
	'show_option_none' => false,
	'default'          => 'false',
	'options'          => array(
		'false'   => esc_html__('false', 'buzzblogpro'),
		'true'     => esc_html__('true', 'buzzblogpro'),
	),
) );

$secondfeaturedimage = new_cmb2_box( array(
		'id'            => 'second_featured_image_box',
		'title'         => esc_html__( 'Featured Image 2', 'buzzblogpro' ),
		'object_types'  => array( 'post' ),
        'context' => 'side',
	    'priority' => 'low',
		'show_names'    => false,
	) );
	
	$secondfeaturedimage->add_field( array(
	'name'    => 'Featured Image 2',
	'desc'    => 'Upload an image',
	'id'      => $prefix . 'second_featured_image',
	'type'    => 'file',
	'options' => array(
		'url' => false,
	),
	'text'    => array(
		'add_upload_file_text' => 'Add a second featured image'
	),
	'preview_size' => 'medium',
) );
	$secondfeaturedimage->add_field( array(
	'name'    => esc_html__('Featured Image 2 Width','buzzblogpro'),
	'desc'    => esc_html__('The preferred width of the Featured Image 2','buzzblogpro'),
	'default' => '',
	'id'      => $prefix . 'second_featured_image_width',
	'type'    => 'text_small'
) );
	$secondfeaturedimage->add_field( array(
	'name'    => esc_html__('Featured Image 2 Height','buzzblogpro'),
	'desc'    => esc_html__('The preferred height of the Featured Image 2','buzzblogpro'),
	'default' => '',
	'id'      => $prefix . 'second_featured_image_height',
	'type'    => 'text_small'
) );
$secondfeaturedimage->add_field( array(
		'name'             => esc_html__( 'Crop', 'buzzblogpro' ),
		'desc'             => esc_html__( 'Do you want to crop the photo?', 'buzzblogpro' ),
		'id'               => $prefix . 'second_featured_image_crop',
		'default' => 'on',
	    'type' => 'switch',
	) );
$secondfeaturedimage->add_field( array(
		'name'             => esc_html__( 'Hovered effect', 'buzzblogpro' ),
		'desc'             => esc_html__( 'Do you want to enable the hovered effect?', 'buzzblogpro' ),
		'id'               => $prefix . 'second_featured_image_hovered_effect',
		'default' => '0',
	    'type' => 'switch',
	) );
/**
* Initiate page options 
*/
$pageoptions = new_cmb2_box( array(
		'id'            => 'buzzblogpro-page-meta',
		'title'         => esc_html__( 'Page Options', 'buzzblogpro' ),
		'object_types'  => array( 'page' ),
		'context'       => 'normal',
		'priority'      => 'high',
		'show_names'    => true,
		'vertical_tabs' => false,
				        'tabs' => array(
            array(
                'id'    => 'page-layout-settings',
                'icon' => '',
                'title' => esc_html__( 'Layout settings', 'buzzblogpro' ),
                'fields' => array(
$prefix . 'standard_layout_format_page',
$prefix . 'page_enable_parallax',
$prefix . 'page_hide_featured_image',
$prefix . 'content_width_page',
$prefix . 'pagesidebarposition',
$prefix . 'pageavailablesidebars',
$prefix . 'page_enable_before_blog_widgets',
                ),
            ),
            array(
                'id'    => 'post-teaser',
                'icon' => '',
                'title' => esc_html__( 'Page teaser', 'buzzblogpro' ),
                'fields' => array(
                     'buzzblogpro_page_tit',
					 'buzzblogpro_page_sub',
					 'buzzblogpro_page_title_enable',
					 $prefix . 'page_intro_text',
					 $prefix . 'pagetopsidebars',
					 
                ),
            ),
			array(
                'id'    => 'buzzblogpro-page-header-options',
                'icon' => '',
                'title' => esc_html__( 'Header Options', 'buzzblogpro' ),
                'fields' => array(
                $prefix . 'header-logo',
				$prefix . 'mobile-header-logo',
				$prefix . 'overlay-header-logo',
                ),
            ),
        )
	) );
$pageoptions->add_field( array(
	'name'    => esc_html__('Title','buzzblogpro'),
	'desc'    => esc_html__('Enter page title','buzzblogpro'),
	'default' => '',
	'id'      => 'buzzblogpro_page_tit',
	'type'    => 'text'
) );
$pageoptions->add_field( array(
	'name'    => esc_html__('Subtitle','buzzblogpro'),
	'desc'    => esc_html__('Enter page Subtitle','buzzblogpro'),
	'default' => '',
	'id'      => 'buzzblogpro_page_sub',
	'type'    => 'textarea_small'
) );
$pageoptions->add_field( array(
	'name'             => esc_html__('Enable / disable title','buzzblogpro'),
	'desc'             => esc_html__('Enable or disable title and subtitle.','buzzblogpro'),
	'id'               => 'buzzblogpro_page_title_enable',
	'type'             => 'select',
	'show_option_none' => false,
	'default'          => 'enable',
	'options'          => array(
		'enable'   => esc_html__('Enable', 'buzzblogpro'),
		'disable'     => esc_html__('Disable', 'buzzblogpro'),
	),
) );
$pageoptions->add_field( array(
	'name'    => esc_html__('Intro text','buzzblogpro'),
	'desc'    => esc_html__('Enter intro text. Html code and shortcodes are allowed.','buzzblogpro'),
	'default' => '',
	'id'      => $prefix . 'page_intro_text',
	'type'    => 'textarea',
) );
$pageoptions->add_field( array(
		'name'       => esc_html__( 'Top sidebar', 'buzzblogpro' ),
		'desc'       => wp_kses( sprintf( __( 'Select the sidebar to display above the page. If you wish to generate additional sidebars, you can do it, in the <a href="%s">Apperance -> Theme Options</a> panel.', 'buzzblogpro' ), admin_url('admin.php?page=buzzblogpro_options_options&tab=18') ), wp_kses_allowed_html( 'post' ) ),
		'id'         => $prefix . 'pagetopsidebars',
		'type'       => 'select',
		'options_cb'     => 'buzzblogpro_get_sidebars_list',
		'default'          => '',
	) );
/**
* Initiate page header options 
*/
$pageoptions->add_field( array(
	'name'    => esc_html__( 'Header logo', 'buzzblogpro' ), 
	'desc'    => esc_html__( 'Upload an image', 'buzzblogpro' ), 
	'id'      => $prefix . 'header-logo',
	'type'    => 'file',
	'options' => array(
		'url' => false,
	),
	'text'    => array(
		'add_upload_file_text' => esc_html__( 'Add image', 'buzzblogpro' ),
	),
	'preview_size' => 'thumb', 
) );
$pageoptions->add_field( array(
	'name'    => esc_html__( 'Mobile Header Logo', 'buzzblogpro' ), 
	'desc'    => esc_html__( 'Upload an image', 'buzzblogpro' ), 
	'id'      => $prefix . 'mobile-header-logo',
	'type'    => 'file',
	'options' => array(
		'url' => false,
	),
	'text'    => array(
		'add_upload_file_text' => esc_html__( 'Add image', 'buzzblogpro' ),
	),
	'preview_size' => 'thumb', 
) );
$pageoptions->add_field( array(
	'name'    => esc_html__( 'Overlay Header Logo', 'buzzblogpro' ), 
	'desc'    => esc_html__( 'Upload an image', 'buzzblogpro' ), 
	'id'      => $prefix . 'overlay-header-logo',
	'type'    => 'file',
	'options' => array(
		'url' => false,
	),
	'text'    => array(
		'add_upload_file_text' => esc_html__( 'Add image', 'buzzblogpro' ),
	),
	'preview_size' => 'thumb', 
) );
	$pageoptions->add_field( array(
		'name'             => esc_html__( 'Page layout', 'buzzblogpro' ),
		'id'               => $prefix . 'standard_layout_format_page',
		'type'             => 'radio_image',
		'default'          => 'inherit',
		'options'          => array(
		    'inherit'  => esc_html__('Inherit', 'buzzblogpro'),
			'layout1'  => esc_html__('Layout 1', 'buzzblogpro'),
			'layout2'  => esc_html__('Layout 2', 'buzzblogpro'),
			'layout3'  => esc_html__('Layout 3', 'buzzblogpro'),
			'layout4'  => esc_html__('Layout 4', 'buzzblogpro'),
			'layout5'  => esc_html__('Layout 5', 'buzzblogpro'),
			'layout6'  => esc_html__('Layout 6', 'buzzblogpro'),
			'layout7'  => esc_html__('Layout 7', 'buzzblogpro'),
			'layout8'  => esc_html__('Layout 8', 'buzzblogpro'),
			'layout9'  => esc_html__('Layout 9', 'buzzblogpro'),
		),
		'images_path'      => get_template_directory_uri(),
		'images'           => array(
		    'inherit'    => 'includes/admin/posts-metabox-image/inherit.png',
			'layout1'    => 'includes/admin/posts-metabox-image/layout1.png',
			'layout2'  => 'includes/admin/posts-metabox-image/layout2.png',
			'layout3'  => 'includes/admin/posts-metabox-image/layout3.png',
			'layout4'  => 'includes/admin/posts-metabox-image/layout4.png',
			'layout5'  => 'includes/admin/posts-metabox-image/layout5.png',
			'layout6'  => 'includes/admin/posts-metabox-image/layout6.png',
			'layout7'  => 'includes/admin/posts-metabox-image/layout7.png',
			'layout8'  => 'includes/admin/posts-metabox-image/layout8.png',
			'layout9'  => 'includes/admin/posts-metabox-image/layout9.png',
		)
	) );
$pageoptions->add_field( array(
		'name'             => esc_html__( 'Parallax', 'buzzblogpro' ),
		'desc'             => esc_html__( 'Enable Parallax For Layout 5 or Layout 9', 'buzzblogpro' ),
		'id'               => $prefix . 'page_enable_parallax',
		'default' => 'on',
	    'type' => 'switch',
	) );
$pageoptions->add_field( array(
		'name'             => esc_html__( 'Featured image', 'buzzblogpro' ),
		'desc'             => esc_html__( 'Hide featured image', 'buzzblogpro' ),
		'id'               => $prefix . 'page_hide_featured_image',
		'default' => '0',
	    'type' => 'switch',
	) );
/**
	 * Initiate Page sidebar options
	 */
    
	$pageoptions->add_field( array(
		'name'             => esc_html__( 'Sidebar position', 'buzzblogpro' ),
		'desc'             => esc_html__( 'Select sidebar position', 'buzzblogpro' ),
		'id'               => $prefix . 'pagesidebarposition',
		'type'             => 'radio_image',
		'default'          => 'inherit',
		'options'          => array(
		    'inherit'    => esc_html__('Inherit', 'buzzblogpro'),
			'none'    => esc_html__('Full Width', 'buzzblogpro'),
			'left'  => esc_html__('Left Sidebar', 'buzzblogpro'),
			'right' => esc_html__('Right Sidebar', 'buzzblogpro'),
		),
		'images_path'      => get_template_directory_uri(),
		'images'           => array(
		    'inherit'    => 'includes/admin/posts-metabox-image/inherit.png',
			'none'    => 'includes/admin/posts-metabox-image/post-side-none.png',
			'left'  => 'includes/admin/posts-metabox-image/post-side-left.png',
			'right' => 'includes/admin/posts-metabox-image/post-side-right.png',
		)
	) );
	
	// Regular text field
$pageoptions->add_field( array(
		'name'       => esc_html__( 'Available sidebars', 'buzzblogpro' ),
		'desc'       => wp_kses( sprintf( __( 'Choose the sidebar to display. If you wish to generate additional sidebars, you can do it, in the <a href="%s">Apperance -> Theme Options</a> panel.', 'buzzblogpro' ), admin_url('admin.php?page=buzzblogpro_options_options&tab=18') ), wp_kses_allowed_html( 'post' ) ),
		'id'         => $prefix . 'pageavailablesidebars',
		'type'       => 'select',
		'options_cb'     => 'buzzblogpro_get_sidebars_list',
		'default'          => 'hs_main_sidebar',
	) );
$pageoptions->add_field( array(
		'name'             => esc_html__( '"Before the blog content" widget area', 'buzzblogpro' ),
		'desc'             => esc_html__( 'Enable "Before the blog content" widget area', 'buzzblogpro' ),
		'id'               => $prefix . 'page_enable_before_blog_widgets',
		'default' => '0',
	    'type' => 'switch',
	) );

$pageoptions->add_field( array(
		'name'             => esc_html__( 'Content width', 'buzzblogpro' ),
		'desc'             => esc_html__( 'Select content width', 'buzzblogpro' ),
		'id'               => $prefix . 'content_width_page',
		'type'             => 'radio_image',
		'default'          => 'inherit',
		'options'          => array(
		'inherit'  => esc_html__('Inherit', 'buzzblogpro'),
		    'normal'    => esc_html__('Normal', 'buzzblogpro'),
			'narrow' => esc_html__('Narrow', 'buzzblogpro'),
		),
		'images_path'      => get_template_directory_uri(),
		'images'           => array(
		'inherit'    => 'includes/admin/posts-metabox-image/inherit.png',
		    'normal'    => 'includes/admin/posts-metabox-image/normal.png',
			'narrow' => 'includes/admin/posts-metabox-image/post-side-narrow.png',
		)
	) );
if ( buzzblogpro_getVariable('review_system')=='yes' ) {
/**
* Initiate review system fields
*/
	$reviewoptions = new_cmb2_box( array(
		'id'            => 'review_options',
		'title'         => esc_html__( 'Review', 'buzzblogpro' ),
		'object_types'  => array( 'post' ), // Post type
		'context'       => 'normal',
		'priority'      => 'high',
		'show_names'    => true,
	) );
	$reviewoptions->add_field( array(
	'name'    => esc_html__('Title','buzzblogpro'),
	'desc'    => esc_html__('Enter review title','buzzblogpro'),
	'default' => '',
	'id'      => $prefix . 'review_title_text',
	'type'    => 'text'
) );
    $reviewoptions->add_field( array(
	'name'    => esc_html__('Description','buzzblogpro'),
	'desc'    => esc_html__('Enter review description','buzzblogpro'),
	'default' => '',
	'id'      => $prefix . 'review_description_text',
	'type'    => 'textarea'
) );

$reviewbox = $reviewoptions->add_field( array(
	'id'          => $prefix . 'review_box',
	'type'        => 'group',
	'options'     => array(
		'group_title'   => esc_html__( 'Review nr {#}', 'buzzblogpro' ),
		'add_button'    => esc_html__( 'Add another review', 'buzzblogpro' ),
		'remove_button' => esc_html__( 'Remove review', 'buzzblogpro' ),
		'sortable'      => true,
	),
) );

$reviewoptions->add_group_field( $reviewbox, array(
	'name'    => esc_html__('Review Title','buzzblogpro'),
	'default' => '',
	'id'      => $prefix . 'review_title_box',
	'type'    => 'text'
) );

$reviewoptions->add_group_field( $reviewbox, array(
	'name'             => esc_html__('Review Number','buzzblogpro'),
	'desc'             => esc_html__('Minimum is 1, Maximum is 10','buzzblogpro'),
	'id'               => $prefix . 'review_number',
	'type'             => 'select',
	'show_option_none' => false,
	'default'          => '',
	'options'          => array(
	    '0'   => esc_html__('0', 'buzzblogpro'),
		'1'   => esc_html__('1', 'buzzblogpro'),
		'2'     => esc_html__('2', 'buzzblogpro'),
		'3'   => esc_html__('3', 'buzzblogpro'),
		'4'     => esc_html__('4', 'buzzblogpro'),
		'5'   => esc_html__('5', 'buzzblogpro'),
		'6'     => esc_html__('6', 'buzzblogpro'),
		'7'   => esc_html__('7', 'buzzblogpro'),
		'8'     => esc_html__('8', 'buzzblogpro'),
		'9'     => esc_html__('9', 'buzzblogpro'),
		'10'     => esc_html__('10', 'buzzblogpro'),
	),
) );

}
}



?>